Sequence Memory
^^^^^^^^^^^^^^^

Temporal Memory
+++++++++++++++

.. automodule:: nupic.algorithms.temporal_memory

.. autoclass:: TemporalMemory
   :show-inheritance:
   :members:

Backtracking Temporal Memory
++++++++++++++++++++++++++++

.. automodule:: nupic.algorithms.backtracking_tm

.. autoclass:: BacktrackingTM
   :show-inheritance:
   :members:

C++ Backtracking Temporal Memory
++++++++++++++++++++++++++++++++

.. automodule:: nupic.algorithms.backtracking_tm_cpp

.. autoclass:: BacktrackingTMCPP
   :show-inheritance:
   :members:

Connections
+++++++++++

.. automodule:: nupic.algorithms.connections
   :show-inheritance:
   :members:
